/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) 1996-1999 Y.YONEYAMA           */
/*                                             */
/* config.h                                    */

#ifndef _CONFIG_H_
#define _CONFIG_H_

#define DEFAULT_BG    "white"
#define DEFAULT_TX    "black"
#define DEFAULT_LI    ""
#define DEFAULT_VL    ""
#define DEFAULT_AL    ""
#define DEFAULT_DN    "red"
#define DEFAULT_DT    "gray"

/* #define ALWAYS_EXPORT */

#ifndef DEFAULT_METHOD
/*#define DEFAULT_METHOD "GET"*/
#define DEFAULT_METHOD "POST"
#endif


#ifndef DEFAULT_PERMIT
/*#define DEFAULT_PERMIT 1*/
#define DEFAULT_PERMIT 0
#endif
#define MAX_PERMIT 3


/*** TIME ADJUST ***/

/* localtime */
#define SHIFT_TIME      0
#define TZ_STRING      ""

/* eg. localtime + 14*3600sec. */
/*
#define SHIFT_TIME  14*3600
#define TZ_STRING    " JST"
*/


#define COOKIE

#ifndef WIN32
#define USE_SEM
/* SUNOS ? */
#if defined(__OSF__) || defined(__osf__) || defined(sun) || defined(__linux__)
#define DEF_SEMUN
#endif /* DEF_SEMUN */
#endif /* WIN32 */

/* #define TEXT_HR */


/* supports imode */
#define IMODE

#ifdef IMODE
#ifndef IMODE_FONT_PATH
#define IMODE_FONT_PATH "http://sofchat.net/emoji"
#endif /* IMODE_FONT_PATH */
#define isimodeemoji(x, y) ((((x) == 0xf9) && ((y) >= 0x40) && ((y) <= 0xfc)) || ( ((x) == 0xf8) && ((y) >= 0x9f) && ((y) <= 0xfc)))
#endif /* IMODE */

/* httpd supports hostname lookup */
/* #define HTTPD_HOSTNAMELOOKUP */

#endif /* _CONFIG_H_ */
